from marshmallow import Schema, fields


class NewsSourceSchema(Schema):
    id = fields.Int(dump_only=True)
    created_date = fields.DateTime(dump_only=True)
    modified_date = fields.DateTime()
    url = fields.URL()
    source_name = fields.Str(required=True, error_messages={'required': 'NewsSource name is a required field'})
    source_type = fields.Str(required=True, error_messages={'required': 'NewsSource tyoe is a required field'})

    class Meta:
        ordered = True